[med-svn] [Git][med-team/orthanc-dicomweb][master] 3 commits: Added list of files to be installed

Israel Komolehin (@Komolehin) gitlab at salsa.debian.org
Wed Nov 1 17:17:58 GMT 2023



Israel Komolehin pushed to branch master at Debian Med / orthanc-dicomweb


Commits:
d290d1b3 by Komolehin Israel Timilehin at 2023-11-01T17:07:02+00:00
Added list of files to be installed

- - - - -
2d8dd009 by Komolehin Israel Timilehin at 2023-11-01T17:07:51+00:00
Added autopkgtest

- - - - -
fb974c12 by Komolehin Israel Timilehin at 2023-11-01T17:08:06+00:00
Updated changelog

- - - - -


4 changed files:

- debian/changelog
- + debian/examples
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+orthanc-dicomweb (1.15+dfsg-2) UNRELEASED; urgency=medium
+
+  * Added autopkgtest
+  * Added list of files to be installed
+
+ -- Komolehin Israel Timilehin <komolehinisrael at gmail.com>  Wed, 01 Nov 2023 16:08:06 +0000
+
 orthanc-dicomweb (1.15+dfsg-1) unstable; urgency=medium
 
   [ Andreas Tille ]


=====================================
debian/examples
=====================================
@@ -0,0 +1,6 @@
+Build/AUTOGENERATED/*
+Plugin/Configuration.*
+Plugin/DicomWebServers.*
+Resources/Orthanc/Plugins/OrthancPluginCppWrapper.*
+Resources/Orthanc/Plugins/OrthancPluginException.h
+UnitTestsSources/UnitTestsMain.cpp 


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,12 @@
+Tests: run-unit-test
+Restrictions: allow-stderr
+Depends: @,
+        build-essential,
+        cmake,
+        debhelper-compat (= 13),
+        libgtest-dev,
+        liborthancframework-dev,
+        orthanc-dev (>= 1.10.1),
+        unzip,
+        uuid-dev
+


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,54 @@
+#!/bin/bash
+set -e
+
+pkg=orthanc-dicomweb
+upstream_version=1.15
+
+CPP=g++
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+#  Create folder for the test sources
+mkdir -p "${AUTOPKGTEST_TMP}"/UnitTestsSources
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"/UnitTestsSources
+
+cd "${AUTOPKGTEST_TMP}"
+
+cd UnitTestsSources
+
+# Update relative import
+sed -i 's/..\/Resources\/Orthanc\/Plugins\///' DicomWebServers.h Configuration.cpp 
+
+sed -i 's/..\/Plugin\///'  UnitTestsMain.cpp
+
+
+
+# Build target object files for UnitTests
+for cpp in $(find . -name "*.cpp") ; do
+
+   ${CPP}  -DHAS_ORTHANC_EXCEPTION=1 -DORTHANC_DICOM_WEB_VERSION=\"${upstream_version}\" -DORTHANC_ENABLE_LOGGING_PLUGIN=1 -DORTHANC_STANDALONE=1 -DOrthancDicomWeb_EXPORTS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE=1 \
+        -I/usr/include/jsoncpp -I/usr/include/orthanc-framework -I/usr/src/gtest -g -O2  -fstack-protector-strong -Wformat -Werror=format-security -DNDEBUG -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -Wno-long-long \
+        -Wno-variadic-macros -c -o O$(basename ${cpp} .cpp).o ${cpp}
+    
+done
+
+# Build target object file for UnitTests
+${CPP}  -DHAS_ORTHANC_EXCEPTION=1 -DORTHANC_DICOM_WEB_VERSION=\"1.15\" -DORTHANC_ENABLE_LOGGING_PLUGIN=1 -DORTHANC_STANDALONE=1 \
+    -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE=1 -I/usr/include/jsoncpp -I/usr/include/orthanc-framework -I/usr/src/gtest -g -O2 \
+    -fstack-protector-strong -Wformat -Werror=format-security -DNDEBUG -Wdate-time -D_FORTIFY_SOURCE=2 -Wall -Wno-long-long \
+    -Wno-variadic-macros -c -o gtest-all.cc.o /usr/src/gtest/src/gtest-all.cc
+
+# Linking files for UnitTests executable
+${CPP} -g -O2 -fstack-protector-strong -Wformat -Werror=format-security -DNDEBUG -Wdate-time -D_FORTIFY_SOURCE=2 -Wall \
+        -Wno-long-long -Wno-variadic-macros -Wl,-z,relro -Wl,-z,now -Wl,--as-needed *.o -o UnitTests  -lpthread -lrt -ldl \
+        -Wl,-Bstatic -lOrthancFramework -Wl,-Bdynamic -lboost_filesystem -lboost_iostreams -lboost_locale -lboost_regex -lboost_thread -ljsoncpp -lpugixml -luuid -lsqlite3 \
+        -ldcmdata -ldcmjpeg -ldcmjpls -lofstd -ldcmimage -lz -lrt -ldl -Wl,-Bstatic -lOrthancFramework -Wl,-Bdynamic -lboost_filesystem -lboost_iostreams -lboost_locale -lboost_regex \
+        -lboost_thread -ljsoncpp -lpugixml -luuid -lsqlite3 -ldcmdata -ldcmjpeg -ldcmjpls -lofstd -ldcmimage -lz 
+
+
+# Execute UnitTests
+./UnitTests
+



View it on GitLab: https://salsa.debian.org/med-team/orthanc-dicomweb/-/compare/c5f9d769023eea24265a1600c0a05ba90e0b1f26...fb974c123c1a4ff43480a719098d61b1844a9d38

-- 
View it on GitLab: https://salsa.debian.org/med-team/orthanc-dicomweb/-/compare/c5f9d769023eea24265a1600c0a05ba90e0b1f26...fb974c123c1a4ff43480a719098d61b1844a9d38
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20231101/28eb83a3/attachment-0001.htm>


More information about the debian-med-commit mailing list